Package ru.bitel.oss.systems.inventory.subscription.common.bean

# Class SubscriptionType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.subscription.common.bean.SubscriptionType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Tied`

public class SubscriptionType extends IdTitle implements Tied

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

  ## Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

  `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SubscriptionMode>`
  `getActivateModeList()`
  `String`
  `getComment()`
  `long`
  `getContractGroups()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDepends()`
  `String`
  `getDescription()`
  `Set<Integer>`
  `getIncompatible()`
  `int`
  `getServiceId()`
  `Set<Integer>`
  `getTariffIdSet()`
  `boolean`
  `isEnable()`
  `boolean`
  `isHideActivationForCustomer()`
  `boolean`
  `isHideForCustomer()`
  `void`
  `setActivateModeList(List<SubscriptionMode> activateModeList)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractGroups(long contractGroups)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDepends(Set<Integer> depends)`
  `void`
  `setDescription(String description)`
  `void`
  `setEnable(boolean enable)`
  `void`
  `setHideActivationForCustomer(boolean hideActivationForCustomer)`
  `void`
  `setHideForCustomer(boolean hideForCustomer)`
  `void`
  `setIncompatible(Set<Integer> incompatible)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setTariffIdSet(Set<Integer> tariffIdSet)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.Tied

  `getId`

- ## Constructor Details

  - ### SubscriptionType

    public SubscriptionType()

- ## Method Details

  - ### getTariffIdSet

    public Set<Integer> getTariffIdSet()

  - ### setTariffIdSet

    public void setTariffIdSet(Set<Integer> tariffIdSet)

  - ### getContractGroups

    public long getContractGroups()

  - ### setContractGroups

    public void setContractGroups(long contractGroups)

  - ### getDepends

    public Set<Integer> getDepends()
    Specified by:
      `getDepends` in interface `Tied`

  - ### setDepends

    public void setDepends(Set<Integer> depends)

  - ### getIncompatible

    public Set<Integer> getIncompatible()
    Specified by:
      `getIncompatible` in interface `Tied`

  - ### setIncompatible

    public void setIncompatible(Set<Integer> incompatible)

  - ### getActivateModeList

    public List<SubscriptionMode> getActivateModeList()

  - ### setActivateModeList

    public void setActivateModeList(List<SubscriptionMode> activateModeList)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### isEnable

    public boolean isEnable()

  - ### setEnable

    public void setEnable(boolean enable)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### isHideForCustomer

    public boolean isHideForCustomer()

  - ### setHideForCustomer

    public void setHideForCustomer(boolean hideForCustomer)

  - ### isHideActivationForCustomer

    public boolean isHideActivationForCustomer()

  - ### setHideActivationForCustomer

    public void setHideActivationForCustomer(boolean hideActivationForCustomer)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)